<?php
/**
 * @file
 * cod_session_reviews.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function cod_session_reviews_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'cod_session_reviewers';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'users';
  $view->human_name = 'cod_session_reviewers';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Suggested reviewers';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    7 => '7',
    5 => '5',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'name' => 'name',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No reviewers with matching interests could be found.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Relationship: Field: Category (field_session_category) */
  $handler->display->display_options['relationships']['field_session_category_tid']['id'] = 'field_session_category_tid';
  $handler->display->display_options['relationships']['field_session_category_tid']['table'] = 'field_data_field_session_category';
  $handler->display->display_options['relationships']['field_session_category_tid']['field'] = 'field_session_category_tid';
  $handler->display->display_options['relationships']['field_session_category_tid']['label'] = 'Session categories';
  $handler->display->display_options['relationships']['field_session_category_tid']['required'] = TRUE;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = 'Reviewer';
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = FALSE;
  /* Field: Field: Category */
  $handler->display->display_options['fields']['field_session_category']['id'] = 'field_session_category';
  $handler->display->display_options['fields']['field_session_category']['table'] = 'field_data_field_session_category';
  $handler->display->display_options['fields']['field_session_category']['field'] = 'field_session_category';
  $handler->display->display_options['fields']['field_session_category']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['fields']['field_session_category']['delta_offset'] = '0';
  /* Field: Field: Audience */
  $handler->display->display_options['fields']['field_session_audience']['id'] = 'field_session_audience';
  $handler->display->display_options['fields']['field_session_audience']['table'] = 'field_data_field_session_audience';
  $handler->display->display_options['fields']['field_session_audience']['field'] = 'field_session_audience';
  $handler->display->display_options['fields']['field_session_audience']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['fields']['field_session_audience']['delta_offset'] = '0';
  /* Contextual filter: Taxonomy term: Term ID */
  $handler->display->display_options['arguments']['tid']['id'] = 'tid';
  $handler->display->display_options['arguments']['tid']['table'] = 'taxonomy_term_data';
  $handler->display->display_options['arguments']['tid']['field'] = 'tid';
  $handler->display->display_options['arguments']['tid']['relationship'] = 'field_session_category_tid';
  $handler->display->display_options['arguments']['tid']['group_type'] = 'count';
  $handler->display->display_options['arguments']['tid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['tid']['default_argument_type'] = 'taxonomy_tid';
  $handler->display->display_options['arguments']['tid']['default_argument_options']['term_page'] = FALSE;
  $handler->display->display_options['arguments']['tid']['default_argument_options']['node'] = TRUE;
  $handler->display->display_options['arguments']['tid']['default_argument_options']['anyall'] = '+';
  $handler->display->display_options['arguments']['tid']['default_argument_options']['limit'] = TRUE;
  $handler->display->display_options['arguments']['tid']['default_argument_options']['vocabularies'] = array(
    'session_category' => 'session_category',
  );
  $handler->display->display_options['arguments']['tid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['tid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['tid']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: User: Roles */
  $handler->display->display_options['filters']['rid']['id'] = 'rid';
  $handler->display->display_options['filters']['rid']['table'] = 'users_roles';
  $handler->display->display_options['filters']['rid']['field'] = 'rid';
  $handler->display->display_options['filters']['rid']['value'] = array(
    7 => '7',
  );

  /* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_1');
  $export['cod_session_reviewers'] = $view;

  $view = new view();
  $view->name = 'cod_session_reviews';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'cod_session_reviews';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Session Reviews';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['pure_distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '0';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'nid' => 'nid',
    'title' => 'title',
    'value' => 'value',
    'value_1' => 'value_1',
    'value_2' => 'value_2',
    'value_3' => 'value_3',
    'field_review_recommendation' => 'field_review_recommendation',
    'view' => 'view',
  );
  $handler->display->display_options['style_options']['default'] = 'value_3';
  $handler->display->display_options['style_options']['info'] = array(
    'nid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'value' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'value_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'value_2' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'value_3' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_review_recommendation' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'view' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  /* Relationship: Content: Vote results: Originality */
  $handler->display->display_options['relationships']['votingapi_cache']['id'] = 'votingapi_cache';
  $handler->display->display_options['relationships']['votingapi_cache']['table'] = 'node';
  $handler->display->display_options['relationships']['votingapi_cache']['field'] = 'votingapi_cache';
  $handler->display->display_options['relationships']['votingapi_cache']['ui_name'] = 'Content: Vote results: Originality';
  $handler->display->display_options['relationships']['votingapi_cache']['label'] = 'Originality';
  $handler->display->display_options['relationships']['votingapi_cache']['votingapi'] = array(
    'value_type' => '',
    'tag' => 'session_originality',
    'function' => 'average',
  );
  /* Relationship: Content: Vote results: Quality */
  $handler->display->display_options['relationships']['votingapi_cache_1']['id'] = 'votingapi_cache_1';
  $handler->display->display_options['relationships']['votingapi_cache_1']['table'] = 'node';
  $handler->display->display_options['relationships']['votingapi_cache_1']['field'] = 'votingapi_cache';
  $handler->display->display_options['relationships']['votingapi_cache_1']['ui_name'] = 'Content: Vote results: Quality';
  $handler->display->display_options['relationships']['votingapi_cache_1']['label'] = 'Quality';
  $handler->display->display_options['relationships']['votingapi_cache_1']['votingapi'] = array(
    'value_type' => '',
    'tag' => 'session_quality',
    'function' => 'average',
  );
  /* Relationship: Content: Vote results: Significance */
  $handler->display->display_options['relationships']['votingapi_cache_2']['id'] = 'votingapi_cache_2';
  $handler->display->display_options['relationships']['votingapi_cache_2']['table'] = 'node';
  $handler->display->display_options['relationships']['votingapi_cache_2']['field'] = 'votingapi_cache';
  $handler->display->display_options['relationships']['votingapi_cache_2']['ui_name'] = 'Content: Vote results: Significance';
  $handler->display->display_options['relationships']['votingapi_cache_2']['label'] = 'Significance';
  $handler->display->display_options['relationships']['votingapi_cache_2']['votingapi'] = array(
    'value_type' => '',
    'tag' => 'session_significance',
    'function' => 'average',
  );
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_review_session_node']['id'] = 'reverse_field_review_session_node';
  $handler->display->display_options['relationships']['reverse_field_review_session_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_review_session_node']['field'] = 'reverse_field_review_session_node';
  $handler->display->display_options['relationships']['reverse_field_review_session_node']['label'] = 'Reviews';
  /* Relationship: Content: Vote results: count */
  $handler->display->display_options['relationships']['votingapi_cache_3']['id'] = 'votingapi_cache_3';
  $handler->display->display_options['relationships']['votingapi_cache_3']['table'] = 'node';
  $handler->display->display_options['relationships']['votingapi_cache_3']['field'] = 'votingapi_cache';
  $handler->display->display_options['relationships']['votingapi_cache_3']['ui_name'] = 'Content: Vote results: count';
  $handler->display->display_options['relationships']['votingapi_cache_3']['label'] = 'Vote count';
  $handler->display->display_options['relationships']['votingapi_cache_3']['votingapi'] = array(
    'value_type' => '',
    'tag' => 'session_originality',
    'function' => 'count',
  );
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: SUM(Content: Recommendation) */
  $handler->display->display_options['fields']['field_review_recommendation']['id'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['table'] = 'field_data_field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['field'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['relationship'] = 'reverse_field_review_session_node';
  $handler->display->display_options['fields']['field_review_recommendation']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_review_recommendation']['type'] = 'list_key';
  $handler->display->display_options['fields']['field_review_recommendation']['group_columns'] = array(
    'value' => 'value',
  );
  /* Field: Global: View */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['label'] = 'My decision';
  $handler->display->display_options['fields']['view']['view'] = 'cod_session_reviews';
  $handler->display->display_options['fields']['view']['display'] = 'attachment_1';
  $handler->display->display_options['fields']['view']['arguments'] = '[!nid]';
  /* Contextual filter: Content: Reviewers (field_reviewers) */
  $handler->display->display_options['arguments']['field_reviewers_target_id']['id'] = 'field_reviewers_target_id';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['table'] = 'field_data_field_reviewers';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['field'] = 'field_reviewers_target_id';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['summary']['format'] = 'default_summary';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );

  /* Display: Tab: Presenter reviews */
  $handler = $view->new_display('page', 'Tab: Presenter reviews', 'page_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Review Feedback';
  $handler->display->display_options['display_description'] = 'List comments for the session author';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'views_access_callback';
  $handler->display->display_options['access']['views_access_callback'] = 'cod_session_reviews_review_tab_access';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = 'Reviewers are able to provide feedback for you. If they have done so, it will be listed below.';
  $handler->display->display_options['header']['area']['format'] = 'filtered_html';
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No review feedback.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_review_session_node']['id'] = 'reverse_field_review_session_node';
  $handler->display->display_options['relationships']['reverse_field_review_session_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_review_session_node']['field'] = 'reverse_field_review_session_node';
  $handler->display->display_options['relationships']['reverse_field_review_session_node']['label'] = 'Reviews';
  $handler->display->display_options['relationships']['reverse_field_review_session_node']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Author Feedback */
  $handler->display->display_options['fields']['field_review_feedback']['id'] = 'field_review_feedback';
  $handler->display->display_options['fields']['field_review_feedback']['table'] = 'field_data_field_review_feedback';
  $handler->display->display_options['fields']['field_review_feedback']['field'] = 'field_review_feedback';
  $handler->display->display_options['fields']['field_review_feedback']['relationship'] = 'reverse_field_review_session_node';
  $handler->display->display_options['fields']['field_review_feedback']['label'] = '';
  $handler->display->display_options['fields']['field_review_feedback']['element_label_colon'] = FALSE;
  /* Field: Content: Attachment */
  $handler->display->display_options['fields']['field_review_attachment']['id'] = 'field_review_attachment';
  $handler->display->display_options['fields']['field_review_attachment']['table'] = 'field_data_field_review_attachment';
  $handler->display->display_options['fields']['field_review_attachment']['field'] = 'field_review_attachment';
  $handler->display->display_options['fields']['field_review_attachment']['relationship'] = 'reverse_field_review_session_node';
  $handler->display->display_options['fields']['field_review_attachment']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['field_review_attachment']['click_sort_column'] = 'fid';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['nid']['title'] = 'Review Feedback for %1';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'session' => 'session',
  );
  /* Contextual filter: Content: Author uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'node';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'current_user';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['uid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['uid']['validate']['type'] = 'user';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['relationship'] = 'reverse_field_review_session_node';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['relationship'] = 'reverse_field_review_session_node';
  $handler->display->display_options['filters']['type']['value'] = array(
    'review' => 'review',
  );
  $handler->display->display_options['path'] = 'node/%/reviews';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Reviews';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Page: Reviews listing */
  $handler = $view->new_display('page', 'Page: Reviews listing', 'page_1');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    8 => '8',
    5 => '5',
  );
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Global: View: Review summary */
  $handler->display->display_options['fields']['view_1']['id'] = 'view_1';
  $handler->display->display_options['fields']['view_1']['table'] = 'views';
  $handler->display->display_options['fields']['view_1']['field'] = 'view';
  $handler->display->display_options['fields']['view_1']['ui_name'] = 'Global: View: Review summary';
  $handler->display->display_options['fields']['view_1']['label'] = '';
  $handler->display->display_options['fields']['view_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_1']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['view_1']['view'] = 'cod_session_reviews';
  $handler->display->display_options['fields']['view_1']['display'] = 'attachment_4';
  $handler->display->display_options['fields']['view_1']['arguments'] = '[!nid]';
  /* Field: Global: View: Recommendation summary */
  $handler->display->display_options['fields']['view_2']['id'] = 'view_2';
  $handler->display->display_options['fields']['view_2']['table'] = 'views';
  $handler->display->display_options['fields']['view_2']['field'] = 'view';
  $handler->display->display_options['fields']['view_2']['ui_name'] = 'Global: View: Recommendation summary';
  $handler->display->display_options['fields']['view_2']['label'] = '';
  $handler->display->display_options['fields']['view_2']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view_2']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_2']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['view_2']['view'] = 'cod_session_reviews';
  $handler->display->display_options['fields']['view_2']['display'] = 'attachment_2';
  $handler->display->display_options['fields']['view_2']['arguments'] = '[!nid]';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Vote results: Value */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'votingapi_cache';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['fields']['value']['relationship'] = 'votingapi_cache';
  $handler->display->display_options['fields']['value']['label'] = 'Originality';
  $handler->display->display_options['fields']['value']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['value']['precision'] = '1';
  /* Field: Vote results: Value */
  $handler->display->display_options['fields']['value_1']['id'] = 'value_1';
  $handler->display->display_options['fields']['value_1']['table'] = 'votingapi_cache';
  $handler->display->display_options['fields']['value_1']['field'] = 'value';
  $handler->display->display_options['fields']['value_1']['relationship'] = 'votingapi_cache_1';
  $handler->display->display_options['fields']['value_1']['label'] = 'Quality';
  $handler->display->display_options['fields']['value_1']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['value_1']['precision'] = '1';
  /* Field: Vote results: Value */
  $handler->display->display_options['fields']['value_2']['id'] = 'value_2';
  $handler->display->display_options['fields']['value_2']['table'] = 'votingapi_cache';
  $handler->display->display_options['fields']['value_2']['field'] = 'value';
  $handler->display->display_options['fields']['value_2']['relationship'] = 'votingapi_cache_2';
  $handler->display->display_options['fields']['value_2']['label'] = 'Significance';
  $handler->display->display_options['fields']['value_2']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['value_2']['precision'] = '1';
  /* Field: Vote results: Value */
  $handler->display->display_options['fields']['value_3']['id'] = 'value_3';
  $handler->display->display_options['fields']['value_3']['table'] = 'votingapi_cache';
  $handler->display->display_options['fields']['value_3']['field'] = 'value';
  $handler->display->display_options['fields']['value_3']['relationship'] = 'votingapi_cache_3';
  $handler->display->display_options['fields']['value_3']['label'] = 'Reviews';
  $handler->display->display_options['fields']['value_3']['alter']['text'] = '[value_3]';
  $handler->display->display_options['fields']['value_3']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['value_3']['alter']['path'] = 'admin/content/reviews';
  $handler->display->display_options['fields']['value_3']['alter']['absolute'] = TRUE;
  $handler->display->display_options['fields']['value_3']['alter']['alt'] = '[view_1]';
  $handler->display->display_options['fields']['value_3']['alter']['link_class'] = 'self';
  $handler->display->display_options['fields']['value_3']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['value_3']['precision'] = '0';
  /* Field: SUM(Content: Recommendation) */
  $handler->display->display_options['fields']['field_review_recommendation']['id'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['table'] = 'field_data_field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['field'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['relationship'] = 'reverse_field_review_session_node';
  $handler->display->display_options['fields']['field_review_recommendation']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['path'] = 'admin/conference/reviews';
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['alt'] = '[view_2]';
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['link_class'] = 'self';
  $handler->display->display_options['fields']['field_review_recommendation']['type'] = 'list_key';
  $handler->display->display_options['fields']['field_review_recommendation']['group_columns'] = array(
    'value' => 'value',
  );
  /* Field: Global: View: My review actions */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['ui_name'] = 'Global: View: My review actions';
  $handler->display->display_options['fields']['view']['label'] = 'My decision';
  $handler->display->display_options['fields']['view']['view'] = 'cod_session_reviews';
  $handler->display->display_options['fields']['view']['display'] = 'attachment_1';
  $handler->display->display_options['fields']['view']['arguments'] = '[!nid]';
  $handler->display->display_options['path'] = 'admin/conference/reviews';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'All reviews';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'menu-conference';
  $handler->display->display_options['menu']['context'] = 0;

  /* Display: Block: Session to review */
  $handler = $view->new_display('block', 'Block: Session to review', 'block');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '1';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'node';
  $handler->display->display_options['row_options']['view_mode'] = 'review';
  $handler->display->display_options['row_options']['links'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There is no session to review.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'php';
  $handler->display->display_options['arguments']['nid']['default_argument_options']['code'] = 'return $_GET[\'field_review_session\'];';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['arguments']['nid']['validate_options']['access'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['fail'] = 'empty';

  /* Display: My review actions */
  $handler = $view->new_display('attachment', 'My review actions', 'attachment_1');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '1';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'field_review_recommendation' => 'field_review_recommendation',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['row_options']['separator'] = ' ';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = '<a href="/node/add/review?field_review_session=!1">Review now</a>';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = TRUE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Recommendation */
  $handler->display->display_options['fields']['field_review_recommendation']['id'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['table'] = 'field_data_field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['field'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['label'] = '';
  $handler->display->display_options['fields']['field_review_recommendation']['element_label_colon'] = FALSE;
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = TRUE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Session (field_review_session) */
  $handler->display->display_options['arguments']['field_review_session_target_id']['id'] = 'field_review_session_target_id';
  $handler->display->display_options['arguments']['field_review_session_target_id']['table'] = 'field_data_field_review_session';
  $handler->display->display_options['arguments']['field_review_session_target_id']['field'] = 'field_review_session_target_id';
  $handler->display->display_options['arguments']['field_review_session_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_review_session_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_review_session_target_id']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['field_review_session_target_id']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['field_review_session_target_id']['validate_options']['types'] = array(
    'session' => 'session',
  );
  /* Contextual filter: Content: Author uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'node';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'current_user';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['uid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['uid']['validate']['type'] = 'user';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'review' => 'review',
  );

  /* Display: Recommendation summary */
  $handler = $view->new_display('attachment', 'Recommendation summary', 'attachment_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'field_review_recommendation' => 'field_review_recommendation',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['row_options']['separator'] = ' ';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = '<a href="/node/add/review?field_review_session=!1">Review now</a>';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = TRUE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['label'] = 'Author';
  $handler->display->display_options['relationships']['uid']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: User: First name */
  $handler->display->display_options['fields']['field_profile_first']['id'] = 'field_profile_first';
  $handler->display->display_options['fields']['field_profile_first']['table'] = 'field_data_field_profile_first';
  $handler->display->display_options['fields']['field_profile_first']['field'] = 'field_profile_first';
  $handler->display->display_options['fields']['field_profile_first']['relationship'] = 'uid';
  $handler->display->display_options['fields']['field_profile_first']['label'] = '';
  $handler->display->display_options['fields']['field_profile_first']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_profile_first']['element_label_colon'] = FALSE;
  /* Field: User: Last name */
  $handler->display->display_options['fields']['field_profile_last']['id'] = 'field_profile_last';
  $handler->display->display_options['fields']['field_profile_last']['table'] = 'field_data_field_profile_last';
  $handler->display->display_options['fields']['field_profile_last']['field'] = 'field_profile_last';
  $handler->display->display_options['fields']['field_profile_last']['relationship'] = 'uid';
  $handler->display->display_options['fields']['field_profile_last']['label'] = '';
  $handler->display->display_options['fields']['field_profile_last']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_profile_last']['element_label_colon'] = FALSE;
  /* Field: Content: Recommendation */
  $handler->display->display_options['fields']['field_review_recommendation']['id'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['table'] = 'field_data_field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['field'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['label'] = '';
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['text'] = '[field_profile_first] [field_profile_last]: [field_review_recommendation]';
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['trim_whitespace'] = TRUE;
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['preserve_tags'] = '<br>';
  $handler->display->display_options['fields']['field_review_recommendation']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Session (field_review_session) */
  $handler->display->display_options['arguments']['field_review_session_target_id']['id'] = 'field_review_session_target_id';
  $handler->display->display_options['arguments']['field_review_session_target_id']['table'] = 'field_data_field_review_session';
  $handler->display->display_options['arguments']['field_review_session_target_id']['field'] = 'field_review_session_target_id';
  $handler->display->display_options['arguments']['field_review_session_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_review_session_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_review_session_target_id']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['field_review_session_target_id']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['field_review_session_target_id']['validate_options']['types'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'review' => 'review',
  );

  /* Display: Review summary */
  $handler = $view->new_display('attachment', 'Review summary', 'attachment_4');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'field_review_recommendation' => 'field_review_recommendation',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['row_options']['separator'] = ' ';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = '<a href="/node/add/review?field_review_session=!1">Review now</a>';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['empty']['area']['tokenize'] = TRUE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['label'] = 'Author';
  $handler->display->display_options['relationships']['uid']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: User: First name */
  $handler->display->display_options['fields']['field_profile_first']['id'] = 'field_profile_first';
  $handler->display->display_options['fields']['field_profile_first']['table'] = 'field_data_field_profile_first';
  $handler->display->display_options['fields']['field_profile_first']['field'] = 'field_profile_first';
  $handler->display->display_options['fields']['field_profile_first']['relationship'] = 'uid';
  $handler->display->display_options['fields']['field_profile_first']['label'] = '';
  $handler->display->display_options['fields']['field_profile_first']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_profile_first']['element_label_colon'] = FALSE;
  /* Field: User: Last name */
  $handler->display->display_options['fields']['field_profile_last']['id'] = 'field_profile_last';
  $handler->display->display_options['fields']['field_profile_last']['table'] = 'field_data_field_profile_last';
  $handler->display->display_options['fields']['field_profile_last']['field'] = 'field_profile_last';
  $handler->display->display_options['fields']['field_profile_last']['relationship'] = 'uid';
  $handler->display->display_options['fields']['field_profile_last']['label'] = '';
  $handler->display->display_options['fields']['field_profile_last']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_profile_last']['element_label_colon'] = FALSE;
  /* Field: Content: Body */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'field_data_body';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['label'] = '';
  $handler->display->display_options['fields']['body']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['body']['alter']['text'] = '[field_profile_first] [field_profile_last]: [body]';
  $handler->display->display_options['fields']['body']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['body']['alter']['preserve_tags'] = '<br>';
  $handler->display->display_options['fields']['body']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Session (field_review_session) */
  $handler->display->display_options['arguments']['field_review_session_target_id']['id'] = 'field_review_session_target_id';
  $handler->display->display_options['arguments']['field_review_session_target_id']['table'] = 'field_data_field_review_session';
  $handler->display->display_options['arguments']['field_review_session_target_id']['field'] = 'field_review_session_target_id';
  $handler->display->display_options['arguments']['field_review_session_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_review_session_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_review_session_target_id']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['field_review_session_target_id']['validate']['type'] = 'node';
  $handler->display->display_options['arguments']['field_review_session_target_id']['validate_options']['types'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'review' => 'review',
  );

  /* Display: Page: Reviewers sessions */
  $handler = $view->new_display('page', 'Page: Reviewers sessions', 'page_3');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Review sessions';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    7 => '7',
    5 => '5',
  );
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = 'This page lists all sessions you have been asked to review.';
  $handler->display->display_options['header']['area']['format'] = 'filtered_html';
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no sessions to review.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Global: View: Review summary */
  $handler->display->display_options['fields']['view_1']['id'] = 'view_1';
  $handler->display->display_options['fields']['view_1']['table'] = 'views';
  $handler->display->display_options['fields']['view_1']['field'] = 'view';
  $handler->display->display_options['fields']['view_1']['ui_name'] = 'Global: View: Review summary';
  $handler->display->display_options['fields']['view_1']['label'] = '';
  $handler->display->display_options['fields']['view_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_1']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['view_1']['view'] = 'cod_session_reviews';
  $handler->display->display_options['fields']['view_1']['display'] = 'attachment_4';
  $handler->display->display_options['fields']['view_1']['arguments'] = '[!nid]';
  /* Field: Global: View: Recommendation summary */
  $handler->display->display_options['fields']['view_2']['id'] = 'view_2';
  $handler->display->display_options['fields']['view_2']['table'] = 'views';
  $handler->display->display_options['fields']['view_2']['field'] = 'view';
  $handler->display->display_options['fields']['view_2']['ui_name'] = 'Global: View: Recommendation summary';
  $handler->display->display_options['fields']['view_2']['label'] = '';
  $handler->display->display_options['fields']['view_2']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view_2']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['view_2']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['view_2']['view'] = 'cod_session_reviews';
  $handler->display->display_options['fields']['view_2']['display'] = 'attachment_2';
  $handler->display->display_options['fields']['view_2']['arguments'] = '[!nid]';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Vote results: Value */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'votingapi_cache';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['fields']['value']['relationship'] = 'votingapi_cache';
  $handler->display->display_options['fields']['value']['label'] = 'Originality';
  $handler->display->display_options['fields']['value']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['value']['precision'] = '1';
  /* Field: Vote results: Value */
  $handler->display->display_options['fields']['value_1']['id'] = 'value_1';
  $handler->display->display_options['fields']['value_1']['table'] = 'votingapi_cache';
  $handler->display->display_options['fields']['value_1']['field'] = 'value';
  $handler->display->display_options['fields']['value_1']['relationship'] = 'votingapi_cache_1';
  $handler->display->display_options['fields']['value_1']['label'] = 'Quality';
  $handler->display->display_options['fields']['value_1']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['value_1']['precision'] = '1';
  /* Field: Vote results: Value */
  $handler->display->display_options['fields']['value_2']['id'] = 'value_2';
  $handler->display->display_options['fields']['value_2']['table'] = 'votingapi_cache';
  $handler->display->display_options['fields']['value_2']['field'] = 'value';
  $handler->display->display_options['fields']['value_2']['relationship'] = 'votingapi_cache_2';
  $handler->display->display_options['fields']['value_2']['label'] = 'Significance';
  $handler->display->display_options['fields']['value_2']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['value_2']['precision'] = '1';
  /* Field: Vote results: Value */
  $handler->display->display_options['fields']['value_3']['id'] = 'value_3';
  $handler->display->display_options['fields']['value_3']['table'] = 'votingapi_cache';
  $handler->display->display_options['fields']['value_3']['field'] = 'value';
  $handler->display->display_options['fields']['value_3']['relationship'] = 'votingapi_cache_3';
  $handler->display->display_options['fields']['value_3']['label'] = 'Reviews';
  $handler->display->display_options['fields']['value_3']['alter']['text'] = '[value_3]';
  $handler->display->display_options['fields']['value_3']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['value_3']['alter']['path'] = 'admin/content/reviews';
  $handler->display->display_options['fields']['value_3']['alter']['absolute'] = TRUE;
  $handler->display->display_options['fields']['value_3']['alter']['alt'] = '[view_1]';
  $handler->display->display_options['fields']['value_3']['alter']['link_class'] = 'self';
  $handler->display->display_options['fields']['value_3']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['value_3']['precision'] = '0';
  /* Field: SUM(Content: Recommendation) */
  $handler->display->display_options['fields']['field_review_recommendation']['id'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['table'] = 'field_data_field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['field'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['relationship'] = 'reverse_field_review_session_node';
  $handler->display->display_options['fields']['field_review_recommendation']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['path'] = 'admin/conference/reviews';
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['alt'] = '[view_2]';
  $handler->display->display_options['fields']['field_review_recommendation']['alter']['link_class'] = 'self';
  $handler->display->display_options['fields']['field_review_recommendation']['type'] = 'list_key';
  $handler->display->display_options['fields']['field_review_recommendation']['group_columns'] = array(
    'value' => 'value',
  );
  /* Field: Global: View: My review actions */
  $handler->display->display_options['fields']['view']['id'] = 'view';
  $handler->display->display_options['fields']['view']['table'] = 'views';
  $handler->display->display_options['fields']['view']['field'] = 'view';
  $handler->display->display_options['fields']['view']['ui_name'] = 'Global: View: My review actions';
  $handler->display->display_options['fields']['view']['label'] = 'My decision';
  $handler->display->display_options['fields']['view']['view'] = 'cod_session_reviews';
  $handler->display->display_options['fields']['view']['display'] = 'attachment_1';
  $handler->display->display_options['fields']['view']['arguments'] = '[!nid]';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Reviewers (field_reviewers) */
  $handler->display->display_options['arguments']['field_reviewers_target_id']['id'] = 'field_reviewers_target_id';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['table'] = 'field_data_field_reviewers';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['field'] = 'field_reviewers_target_id';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['default_argument_type'] = 'current_user';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_reviewers_target_id']['break_phrase'] = TRUE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['path'] = 'admin/conference/review';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Review sessions';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'menu-conference';
  $handler->display->display_options['menu']['context'] = 0;

  /* Display: Review this session */
  $handler = $view->new_display('panel_pane', 'Review this session', 'panel_pane_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'field_review_recommendation' => 'field_review_recommendation',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: SUM(Content: Recommendation) */
  $handler->display->display_options['fields']['field_review_recommendation']['id'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['table'] = 'field_data_field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['field'] = 'field_review_recommendation';
  $handler->display->display_options['fields']['field_review_recommendation']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_review_recommendation']['group_columns'] = array(
    'value' => 'value',
  );
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Session (field_review_session) */
  $handler->display->display_options['arguments']['field_review_session_target_id']['id'] = 'field_review_session_target_id';
  $handler->display->display_options['arguments']['field_review_session_target_id']['table'] = 'field_data_field_review_session';
  $handler->display->display_options['arguments']['field_review_session_target_id']['field'] = 'field_review_session_target_id';
  $handler->display->display_options['arguments']['field_review_session_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['field_review_session_target_id']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_review_session_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Content: Author uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'node';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'current_user';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'review' => 'review',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $export['cod_session_reviews'] = $view;

  $view = new view();
  $view->name = 'converge_contact_presenters';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'users';
  $view->human_name = 'Contact Authors';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Contact Authors';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    5 => '5',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'name' => 'name',
    'title' => 'title',
    'field_session_format' => 'field_session_format',
    'field_accepted' => 'field_accepted',
    'created' => 'created',
  );
  $handler->display->display_options['style_options']['default'] = 'created';
  $handler->display->display_options['style_options']['info'] = array(
    'name' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_session_format' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_accepted' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = 'Presenters may be listed multiple times if they are linked to multiple proposals.';
  $handler->display->display_options['header']['area']['format'] = 'filtered_html';
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_speakers_node']['id'] = 'reverse_field_speakers_node';
  $handler->display->display_options['relationships']['reverse_field_speakers_node']['table'] = 'users';
  $handler->display->display_options['relationships']['reverse_field_speakers_node']['field'] = 'reverse_field_speakers_node';
  $handler->display->display_options['relationships']['reverse_field_speakers_node']['label'] = 'Proposal';
  $handler->display->display_options['relationships']['reverse_field_speakers_node']['required'] = TRUE;
  /* Field: Global: Send e-mail */
  $handler->display->display_options['fields']['views_send']['id'] = 'views_send';
  $handler->display->display_options['fields']['views_send']['table'] = 'views';
  $handler->display->display_options['fields']['views_send']['field'] = 'views_send';
  $handler->display->display_options['fields']['views_send']['label'] = 'Email';
  /* Field: Realname: Real name */
  $handler->display->display_options['fields']['realname']['id'] = 'realname';
  $handler->display->display_options['fields']['realname']['table'] = 'realname';
  $handler->display->display_options['fields']['realname']['field'] = 'realname';
  $handler->display->display_options['fields']['realname']['label'] = 'Name';
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'reverse_field_speakers_node';
  $handler->display->display_options['fields']['title']['label'] = 'Proposal';
  /* Field: Content: Format */
  $handler->display->display_options['fields']['field_session_format']['id'] = 'field_session_format';
  $handler->display->display_options['fields']['field_session_format']['table'] = 'field_data_field_session_format';
  $handler->display->display_options['fields']['field_session_format']['field'] = 'field_session_format';
  $handler->display->display_options['fields']['field_session_format']['relationship'] = 'reverse_field_speakers_node';
  $handler->display->display_options['fields']['field_session_format']['type'] = 'taxonomy_term_reference_plain';
  /* Field: Content: Status */
  $handler->display->display_options['fields']['field_accepted']['id'] = 'field_accepted';
  $handler->display->display_options['fields']['field_accepted']['table'] = 'field_data_field_accepted';
  $handler->display->display_options['fields']['field_accepted']['field'] = 'field_accepted';
  $handler->display->display_options['fields']['field_accepted']['relationship'] = 'reverse_field_speakers_node';
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['relationship'] = 'reverse_field_speakers_node';
  $handler->display->display_options['fields']['created']['label'] = 'Submitted';
  $handler->display->display_options['fields']['created']['date_format'] = 'date_no_time_';
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Format (field_session_format) */
  $handler->display->display_options['filters']['field_session_format_tid']['id'] = 'field_session_format_tid';
  $handler->display->display_options['filters']['field_session_format_tid']['table'] = 'field_data_field_session_format';
  $handler->display->display_options['filters']['field_session_format_tid']['field'] = 'field_session_format_tid';
  $handler->display->display_options['filters']['field_session_format_tid']['relationship'] = 'reverse_field_speakers_node';
  $handler->display->display_options['filters']['field_session_format_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_session_format_tid']['expose']['operator_id'] = 'field_session_format_tid_op';
  $handler->display->display_options['filters']['field_session_format_tid']['expose']['label'] = 'Format';
  $handler->display->display_options['filters']['field_session_format_tid']['expose']['operator'] = 'field_session_format_tid_op';
  $handler->display->display_options['filters']['field_session_format_tid']['expose']['identifier'] = 'field_session_format_tid';
  $handler->display->display_options['filters']['field_session_format_tid']['expose']['multiple'] = TRUE;
  $handler->display->display_options['filters']['field_session_format_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
  );
  $handler->display->display_options['filters']['field_session_format_tid']['reduce_duplicates'] = TRUE;
  $handler->display->display_options['filters']['field_session_format_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_session_format_tid']['vocabulary'] = 'session_format';
  $handler->display->display_options['filters']['field_session_format_tid']['hierarchy'] = 1;
  /* Filter criterion: Content: Status (field_accepted) */
  $handler->display->display_options['filters']['field_accepted_value']['id'] = 'field_accepted_value';
  $handler->display->display_options['filters']['field_accepted_value']['table'] = 'field_data_field_accepted';
  $handler->display->display_options['filters']['field_accepted_value']['field'] = 'field_accepted_value';
  $handler->display->display_options['filters']['field_accepted_value']['relationship'] = 'reverse_field_speakers_node';
  $handler->display->display_options['filters']['field_accepted_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_accepted_value']['expose']['operator_id'] = 'field_accepted_value_op';
  $handler->display->display_options['filters']['field_accepted_value']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['field_accepted_value']['expose']['operator'] = 'field_accepted_value_op';
  $handler->display->display_options['filters']['field_accepted_value']['expose']['identifier'] = 'field_accepted_value';
  $handler->display->display_options['filters']['field_accepted_value']['expose']['multiple'] = TRUE;
  $handler->display->display_options['filters']['field_accepted_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
  );
  $handler->display->display_options['filters']['field_accepted_value']['reduce_duplicates'] = TRUE;
  /* Filter criterion: Content: Stream (field_session_stream) */
  $handler->display->display_options['filters']['field_session_stream_tid']['id'] = 'field_session_stream_tid';
  $handler->display->display_options['filters']['field_session_stream_tid']['table'] = 'field_data_field_session_stream';
  $handler->display->display_options['filters']['field_session_stream_tid']['field'] = 'field_session_stream_tid';
  $handler->display->display_options['filters']['field_session_stream_tid']['relationship'] = 'reverse_field_speakers_node';
  $handler->display->display_options['filters']['field_session_stream_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_session_stream_tid']['expose']['operator_id'] = 'field_session_stream_tid_op';
  $handler->display->display_options['filters']['field_session_stream_tid']['expose']['label'] = 'Stream';
  $handler->display->display_options['filters']['field_session_stream_tid']['expose']['operator'] = 'field_session_stream_tid_op';
  $handler->display->display_options['filters']['field_session_stream_tid']['expose']['identifier'] = 'field_session_stream_tid';
  $handler->display->display_options['filters']['field_session_stream_tid']['expose']['multiple'] = TRUE;
  $handler->display->display_options['filters']['field_session_stream_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
  );
  $handler->display->display_options['filters']['field_session_stream_tid']['reduce_duplicates'] = TRUE;
  $handler->display->display_options['filters']['field_session_stream_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_session_stream_tid']['vocabulary'] = 'session_stream';
  $handler->display->display_options['filters']['field_session_stream_tid']['hierarchy'] = 1;
  /* Filter criterion: Field: Audience (field_session_audience) */
  $handler->display->display_options['filters']['field_session_audience_tid']['id'] = 'field_session_audience_tid';
  $handler->display->display_options['filters']['field_session_audience_tid']['table'] = 'field_data_field_session_audience';
  $handler->display->display_options['filters']['field_session_audience_tid']['field'] = 'field_session_audience_tid';
  $handler->display->display_options['filters']['field_session_audience_tid']['relationship'] = 'reverse_field_speakers_node';
  $handler->display->display_options['filters']['field_session_audience_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_session_audience_tid']['expose']['operator_id'] = 'field_session_audience_tid_op';
  $handler->display->display_options['filters']['field_session_audience_tid']['expose']['label'] = 'Audience';
  $handler->display->display_options['filters']['field_session_audience_tid']['expose']['operator'] = 'field_session_audience_tid_op';
  $handler->display->display_options['filters']['field_session_audience_tid']['expose']['identifier'] = 'field_session_audience_tid';
  $handler->display->display_options['filters']['field_session_audience_tid']['expose']['multiple'] = TRUE;
  $handler->display->display_options['filters']['field_session_audience_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
  );
  $handler->display->display_options['filters']['field_session_audience_tid']['reduce_duplicates'] = TRUE;
  $handler->display->display_options['filters']['field_session_audience_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_session_audience_tid']['vocabulary'] = 'audience';
  $handler->display->display_options['filters']['field_session_audience_tid']['hierarchy'] = 1;
  /* Filter criterion: Field: Interests (field_session_category) */
  $handler->display->display_options['filters']['field_session_category_tid']['id'] = 'field_session_category_tid';
  $handler->display->display_options['filters']['field_session_category_tid']['table'] = 'field_data_field_session_category';
  $handler->display->display_options['filters']['field_session_category_tid']['field'] = 'field_session_category_tid';
  $handler->display->display_options['filters']['field_session_category_tid']['relationship'] = 'reverse_field_speakers_node';
  $handler->display->display_options['filters']['field_session_category_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_session_category_tid']['expose']['operator_id'] = 'field_session_category_tid_op';
  $handler->display->display_options['filters']['field_session_category_tid']['expose']['label'] = 'Category';
  $handler->display->display_options['filters']['field_session_category_tid']['expose']['operator'] = 'field_session_category_tid_op';
  $handler->display->display_options['filters']['field_session_category_tid']['expose']['identifier'] = 'field_session_category_tid';
  $handler->display->display_options['filters']['field_session_category_tid']['expose']['multiple'] = TRUE;
  $handler->display->display_options['filters']['field_session_category_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
  );
  $handler->display->display_options['filters']['field_session_category_tid']['reduce_duplicates'] = TRUE;
  $handler->display->display_options['filters']['field_session_category_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_session_category_tid']['vocabulary'] = 'session_category';
  $handler->display->display_options['filters']['field_session_category_tid']['hierarchy'] = 1;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/conference/sessions/contact';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Contact Presenters';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'menu-conference';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['converge_contact_presenters'] = $view;

  return $export;
}
